<!--
  Generated template for the SignupPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header no-border no-shadow style="background: transparent !important">

  <ion-navbar style="background: transparent !important">
    <ion-title></ion-title>
  </ion-navbar>

</ion-header>


<ion-content>
  <p text-center class="title-page">Crear Cuenta</p>

  <ion-grid>
    <ion-row>
      <ion-col col-8 offset-2 text-center>
        <div margin-top>
          <ion-segment [(ngModel)]="gender" mode="ios" color="walkthrough">
            <ion-segment-button value="1" [disabled]="isLoading" class="text-segment">
              HOMBRE
            </ion-segment-button>
            <ion-segment-button value="2" [disabled]="isLoading" class="text-segment">
              MUJER
            </ion-segment-button>
          </ion-segment>
        </div>
      </ion-col>
    </ion-row>
  </ion-grid>

  <form [formGroup]="signupForm">
    <ion-grid>
      <ion-row>
        <ion-col col-2></ion-col>
        <ion-col col-8 text-center>
          <!-- <p text-center class="title-page">Iniciar Sesión</p> -->
          <ion-item class="item-form">
            <ion-label stacked class="label-form">Nombre</ion-label>
            <ion-input [formControl]="signupForm.controls['firstName']" type="text" [disabled]="isLoading"></ion-input>
          </ion-item>
          <ion-item class="item-form">
            <ion-label stacked class="label-form">Apellidos</ion-label>
            <ion-input [formControl]="signupForm.controls['lastName']" type="text" [disabled]="isLoading"></ion-input>
          </ion-item>
          <ion-item class="item-form">
            <ion-label stacked class="label-form">Email</ion-label>
            <ion-input [formControl]="signupForm.controls['email']" type="email" [disabled]="isLoading"></ion-input>
          </ion-item>
          <ion-item class="item-form">
            <ion-label stacked class="label-form">Contraseña</ion-label>
            <ion-input [formControl]="signupForm.controls['password']" type="password" [disabled]="isLoading"></ion-input>
          </ion-item>
          <!-- <p ion-text text-center color="walkthrough">¿Haz olvidado tu contraseña?</p> -->
          <div text-center style="margin-top: 4em">
            <button ion-button round large block color="walkthrough" [ngClass]="{'btn-valid': signupForm.valid, 'btn-invalid': !signupForm.valid}"
              (click)="doSignup()" *ngIf="!isLoading">Crear Cuenta</button>
            <button ion-button round large block color="walkthrough" *ngIf="isLoading">
              <ion-spinner name="ios-small" color="white-footer"></ion-spinner>
            </button>
          </div>
        </ion-col>
        <ion-col col-2></ion-col>
      </ion-row>
    </ion-grid>
  </form>
</ion-content>